package com.ruoyi.bst.areaJoin.service;

import java.util.List;

import com.ruoyi.bst.areaJoin.domain.AreaJoin;
import com.ruoyi.bst.areaJoin.domain.AreaJoinQuery;
import com.ruoyi.bst.areaJoin.domain.AreaJoinVO;

/**
 * 运营加盟Service接口
 *
 * @author ruoyi
 * @date 2025-03-25
 */
public interface AreaJoinService
{
    /**
     * 查询运营加盟
     *
     * @param id 运营加盟主键
     * @return 运营加盟
     */
    public AreaJoinVO selectAreaJoinById(Long id, boolean scope);
    
    default AreaJoinVO selectAreaJoinById(Long id) {
        return selectAreaJoinById(id, false);
    }

    /**
     * 查询运营加盟列表
     *
     * @param areaJoin 运营加盟
     * @return 运营加盟集合
     */
    public List<AreaJoinVO> selectAreaJoinList(AreaJoinQuery areaJoin);

    /**
     * 新增运营加盟
     *
     * @param areaJoin 运营加盟
     * @return 结果
     */
    public int insertAreaJoin(AreaJoin areaJoin);

    /**
     * 修改运营加盟
     *
     * @param areaJoin 运营加盟
     * @return 结果
     */
    public int updateAreaJoin(AreaJoin areaJoin);

    /**
     * 批量删除运营加盟
     *
     * @param ids 需要删除的运营加盟主键集合
     * @return 结果
     */
    public int deleteAreaJoinByIds(Long[] ids);

    /**
     * 删除运营加盟信息
     *
     * @param id 运营加盟主键
     * @return 结果
     */
    public int deleteAreaJoinById(Long id);

    /**
     * 查询一个加盟信息
     *
     * @param query 加盟信息查询条件
     * @return 加盟信息
     */
    public AreaJoinVO selectOne(AreaJoinQuery query);

    /**
     * 查询加盟信息
     * @param userId 用户ID
     * @param areaId 区域ID
     * @return 加盟信息
     */
    public AreaJoinVO selectByUserArea(Long userId, Long areaId);

    /**
     * 查询运营区的合伙人列表
     * @param areaId 区域ID
     * @return 合伙人列表
     */
    public List<AreaJoinVO> selectListByAreaId(Long areaId, String type);
}
